Index: asterisk.c
===================================================================
RCS file: /usr/cvsroot/asterisk/asterisk.c,v
retrieving revision 1.22
diff -u -r1.22 asterisk.c
--- asterisk.c	17 Sep 2003 04:21:56 -0000	1.22
+++ asterisk.c	27 Sep 2003 04:10:25 -0000
@@ -216,6 +216,7 @@
 static void *listener(void *unused)
 {
 	struct sockaddr_un sun;
+	fd_set fds;
 	int s;
 	int len;
 	int x;
@@ -226,6 +227,13 @@
 	for(;;) {
 		if (ast_socket < 0)
 			return NULL;
+		FD_ZERO(&fds);
+		FD_SET(ast_socket, &fds);
+		s = ast_select(ast_socket + 1, &fds, NULL, NULL, NULL);
+		if (s < 0) {
+			ast_log(LOG_WARNING, "Select retured error: %s\n", strerror(errno));
+			continue;
+		}
 		len = sizeof(sun);
 		s = accept(ast_socket, (struct sockaddr *)&sun, &len);
 		if (s < 0) {
